import ConfigManager from '../libs/configManager.js';
import __path from "./path.js";
import _ from 'lodash';


// Create a new config instance.
const config = new ConfigManager(__path + '/config.json', true, {
	db_connection_string: 'mysql://USER:PASSWORD@HOST:3306/DATABASE',
	http_listen_address: '0.0.0.0',
	http_port: 3000,
	debug: true,
	auth: {
		cookie_secret: 'gen',
		cookie_secure: true,
		local: {
			active: true,
			users: {}
		},
		oidc: {
			active: false
		}
	}
});

// If no local User exists, create the default with a generated password
if (_.isEqual(config.global.auth.local.users, {})) {
	config.global.auth.local.users = {
		'administrator': 'gen',
	};
	config.save_config();
}

export default config;
